Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000460Core InformUnderstandingpublic2010-12-09 14:222014-05-07 07:33
Assigned Tograham 
PlatformAllOSOS Version
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000460: Overagressive parsing of number descriptors results in illogical parser errors
DescriptionIf conceivable parses of a command include numbers, but the actual command is not a number, but that command is also invalid, the error will be "I didn't understand that number" instead of the more normal errors.
Minimal Source Text To Reproduce
A thing has a number called foo. Understand the foo property as describing a thing. The Gazebo is 
a room. Test me with "open east arghbargle".
Additional InformationWithout the "foo" property the minimal source text gives the expected "I only understood you as far as wanting to open the east."
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
mcmartin (reporter)
2010-12-09 14:30

The mechanism in the minimal source text is the core mechanism of the Numbered Disambiguation Choices extension, so this is likely something authors will run into.
graham (administrator)
2014-03-18 15:10


- Issue History
Date Modified Username Field Change
2010-12-09 14:22 mcmartin New Issue
2010-12-09 14:24 EmacsUser Status new => confirmed
2010-12-09 14:30 mcmartin Note Added: 0000893
2014-03-18 15:10 graham Note Added: 0002575
2014-03-18 15:10 graham Status confirmed => resolved
2014-03-18 15:10 graham Resolution open => fixed
2014-03-18 15:10 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker